> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/funding/purchase-redempt/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Savings purchase/redemption POST https://www.okx.com/api/v5/asset/purchase_redempt Content-Type: application/json Subscribe to or redeem from the Simple Earn Flexible (savings) product for a currency. Only the assets in the funding account can be used for subscription. Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/purchase-redempt ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `ccy` (string, required) — Currency, e.g. BTC. - `amt` (string, required) — Purchase/redemption amount. - `side` (enum, required) — Action type: purchase or redempt. - Allowed values: `purchase`, `redempt` - `rate` (string, required) — Annual lending rate. Only applicable to side=purchase. Range 0.01 to 3.65, precision 0.0001. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AssetPurchaseRedemptPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AssetPurchaseRedemptPostResponsesContentApplicationJsonSchemaDataItems - `ccy` (string, optional) — Currency, e.g. BTC. - `amt` (string, optional) — Purchase/redemption amount. - `side` (string, optional) — Action type. - `rate` (string, optional) — Annual lending rate. ## Examples **Request** ```json { "ccy": "BTC", "amt": "1", "side": "purchase", "rate": "0.01" } ``` **Response** ```json { "code": "string", "msg": "string", "data": [ { "ccy": "string", "amt": "string", "side": "string", "rate": "string" } ] } ``` **SDK Code** ```python import requests url = "https://www.okx.com/api/v5/asset/purchase_redempt" payload = { "ccy": "BTC", "amt": "1", "side": "purchase", "rate": "0.01" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://www.okx.com/api/v5/asset/purchase_redempt'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"ccy":"BTC","amt":"1","side":"purchase","rate":"0.01"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/asset/purchase_redempt" payload := strings.NewReader("{\n \"ccy\": \"BTC\",\n \"amt\": \"1\",\n \"side\": \"purchase\",\n \"rate\": \"0.01\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/asset/purchase_redempt") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"ccy\": \"BTC\",\n \"amt\": \"1\",\n \"side\": \"purchase\",\n \"rate\": \"0.01\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/asset/purchase_redempt") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"ccy\": \"BTC\",\n \"amt\": \"1\",\n \"side\": \"purchase\",\n \"rate\": \"0.01\"\n}") .asString(); ``` ```php request('POST', 'https://www.okx.com/api/v5/asset/purchase_redempt', [ 'body' => '{ "ccy": "BTC", "amt": "1", "side": "purchase", "rate": "0.01" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/asset/purchase_redempt"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"ccy\": \"BTC\",\n \"amt\": \"1\",\n \"side\": \"purchase\",\n \"rate\": \"0.01\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = [ "ccy": "BTC", "amt": "1", "side": "purchase", "rate": "0.01" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/purchase_redempt")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```